﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebApplication2
{
    /// <summary>
    /// Handler1 的摘要说明
    /// </summary>
    public class Handler1 : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            if (!context.User.Identity.IsAuthenticated)
            {
                string loginUrl;
                string returnUrl = context.Request.Params["returnUrl"];

                if (returnUrl.Contains("/Admin/"))
                {
                    loginUrl = "/AdminLogin.aspx";
                }
                else
                {
                    loginUrl = "/Login.aspx";
                }

                if (!string.IsNullOrEmpty(context.Request.Params["returnUrl"]))
                {
                    loginUrl = loginUrl + "?returnUrl=" + HttpUtility.UrlEncode(context.Request.Params["returnUrl"]);
                }
                context.Response.Redirect(loginUrl);
            }
            else
            {
                context.Response.ContentType = "text/plain";
                context.Response.Write("已授权为"+context.User.Identity.Name);
            }
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}